> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1automation runs events



## OpenAPI

````yaml /openapi.json post /v1/automation-runs/{id}/events
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers:
  - url: http://api.den.local
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: SCIM
    description: Organization SCIM connector management routes.
  - name: SSO
    description: Organization single sign-on connector management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Telemetry
    description: Telemetry event ingestion and adoption analytics.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
  - name: Bootstrap
    description: Agent-first provisional workspace setup routes.
paths:
  /v1/automation-runs/{id}/events:
    post:
      operationId: postV1AutomationRunsByIdEvents
      parameters:
        - in: path
          name: id
          schema:
            type: string
            minLength: 1
            maxLength: 160
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                attempt:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                sequence:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                type:
                  type: string
                  enum:
                    - user
                    - assistant
                    - capability_search
                    - capability_execution
                    - usage
                    - warning
                    - terminal
                payload:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                createdAt:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - attempt
                - sequence
                - type
                - payload
                - createdAt
      responses:
        '200':
          description: OK

````